#include <avr/io.h>
#include <avr/interrupt.h>
#include "piano.h"

unsigned int frecv[8] = 
{
/*DO   RE   MI   FA   SOL  LA   SI   DO*/
119, 106, 94, 89, 79, 70, 63, 59
};

void initTimer() {
        /* Setting CTC mode */
        TCCR2 = _BV(WGM21);
        /* Setting the prescaler */
        TCCR2 |= _BV(CS22) | _BV(CS21) | _BV(CS20);
        /* Setting the OCR; every 10 ms */
        OCR2 = 156;
        /* Setting timer interrupts */
        TIMSK |= _BV(OCIE2) | _BV(TOIE2);
}


void setPWM()
{
        /* Enable output */
        TCCR1A |= _BV(COM1A0);
}

void unsetPWM()
{
        /* Disable output */
        TCCR1A &=~_BV(COM1A0);
}

void setNote(int note)
{
        /* Choose the specified note */
        OCR1A = frecv[note];
}



